/*
   This file is part of the MoCA video library.
   Name: MocaHeaders.h
   Copyright (C) 2006 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef MOCA_HEADERS_H
#define MOCA_HEADERS_H

//
// just include this file, if you have to include many different headers in your file
// (this includes ALL headers of the MoCA library)
//
// include all header files 
#include <MocaFeatures.h>
#include <MocaFilter.h>
#include <MocaGraphics.h>
#include <MocaIo.h>
#include <MocaSamples.h>
#include <MocaTools.h>

// include all header files 
#include <MocaError.h>
#include <GetType.h>
#include <MocaEnum.h>
#include <MocaExceptions.h>
#include <MocaMacros.h>
#include <MocaTypes.h>

#endif

