/*
   This file is part of the MoCA video library.
   Name: HistoDiffTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#include <HistogramDifferenceFeature.h>

int main(int argc, char* argv[])
{
    if (argc != 2) {
        cout << "Usage: HistoDiffTest  filename(mpeg)" << endl;
        return 1;
    } // if

    string fn = argv[1];
    HistogramDifferenceItem data;
    HistogramDifferenceFeature hdf (fn);
    hdf.process(data);
    cout << data << endl;
    
    return 0;
} // main
