/*
  This file is part of the MoCA video library.
  Name: MocaTest.cpp
  Copyright (C) 2006 Stephan Kopf

  Lehrstuhl fuer Praktische Informatik IV
  Universitaet Mannheim
  68131 Mannheim
  Germany
  email: kopf@informatik.uni-mannheim.de
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
   
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	
*/


// MoCA includes
#include <MocaHeaders.h>
 
// this is an example to test all MoCA classes
// if you develop a new class, add sample code to this 
int main(int argc, char* argv[])
{
	// test general include files
	checkMemory (true);
	int32 v = (int32)ABS (-1);
	MocaException me ("test error");
	BorderMode mb = BORDER_REPLICATE;
	string s = GetType::getType (v);


	// test all classes
	testFeatures();
	testFilter();
	testGraphics();
	testIo();
	testSamples();
	testTools();

	return 0;
} // main

