/*
    Color.cpp     defines a struct Color and several default colors
    Copyright (C) 2004 Stephan Kopf

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#include <Color.h>


const Color Color::BLACK      (  0,  0,  0);
const Color Color::GRAY       (128,128,128);
const Color Color::LIGHT_GRAY (192,192,192);
const Color Color::WHITE      (255,255,255);

const Color Color::GREEN      ( 10,190, 30);
const Color Color::BLUE       ( 30, 10,250);
const Color Color::RED        (210,  0, 50);
const Color Color::ORANGE     (240,120,  0);
const Color Color::YELLOW     (250,250, 40);

